package cn.estsh.i3plus.ext.mes.api.base.file;

import cn.estsh.i3plus.pojo.platform.bean.SysFile;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @Description : 文件上传下载
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/17 14:19
 * @Modify:
 **/
public interface IMesFileService {

    /**
     * 上传文件
     * @param file 文件
     * @return 文件信息
     */
    @ApiOperation(value = "上传文件", notes = "上传文件")
    SysFile uploadFile(MultipartFile file);

    /**
     * 获取文件
     * @param resp
     * @param fileUrl 文件url
     * @return 文件流
     */
    void getFileByUrl(HttpServletResponse resp, String fileUrl);
}
